<%@ page session="false" buffer="none" %>
<%@ taglib prefix="cms" uri="http://www.opencms.org/taglib/cms" %>

<cms:editable provider="org.opencms.workplace.editors.directedit.CmsDirectEditTextButtonProvider"/>

<h2>Demo for the OpenCms taglib usage on a JSP</h2>
<p>
Please see the source code of the JSP generating this page for an example 
of how to work with the OpenCms taglib to include an editable "body" element from another page.
<br/>
Note the additional "provider" attribute of the &lt;cms:editable&gt; tag defining a class
which generates the textual edit link.
 
</p>
<p>
<cms:include file="demo_01.html" element="body" editable="true" />
</p>